- Qt 5.15
- Qt 3D
- C++ Classes
- QTextureLoader
- Qt 5.15.11 Reference Documentation

# QTextureLoader Class

class Qt3DRender::QTextureLoader

Handles the texture loading and setting the texture's properties. More...

Header: | #include <Qt3DRender/QTexture>
qmake: | QT += 3drender
Instantiated By: | TextureLoader
Inherits: | Qt3DRender::QAbstractTexture

- List of all members, including inherited members

## Properties

- mirrored : bool
- source : QUrl

## Public Functions

bool | isMirrored() const
QUrl | source() const

## Public Slots

void | setMirrored(bool mirrored)
void | setSource(const QUrl &source)

## Signals

void | mirroredChanged(bool mirrored)
void | sourceChanged(const QUrl &source)

## Detailed Description

## Property Documentation

### mirrored : bool

This property specifies whether the texture should be mirrored when loaded. This is a convenience to avoid having to manipulate images to match the origin of the texture coordinates used by the rendering API. By default this property is set to true. This has no effect when using GPU compressed texture formats.

Warning: This property results in a performance price payed at runtime when loading uncompressed or CPU compressed image formats such as PNG. To avoid this performance price it is better to set this property to false and load texture assets that have been pre-mirrored.

Note: OpenGL specifies the origin of texture coordinates from the lower left hand corner whereas DirectX uses the the upper left hand corner.

Note: When using cube map texture you'll probably want mirroring disabled as the cube map sampler takes a direction rather than regular texture coordinates.

Access functions:

bool | isMirrored() const
void | setMirrored(bool mirrored)

Notifier signal:

void | mirroredChanged(bool mirrored)

### source : QUrl

This property holds the current texture source.

Access functions:

QUrl | source() const
void | setSource(const QUrl &source)

Notifier signal:

void | sourceChanged(const QUrl &source)

## Member Function Documentation

### `[slot]` void QTextureLoader::setMirrored(bool mirrored)

Sets mirroring to mirrored.

Note: This internally triggers a call to update the data generator.

Note: Setter function for property mirrored.

See also isMirrored().

### `[slot]` void QTextureLoader::setSource(const QUrl &source)

Sets the texture loader source to source. source

Note: Setter function for property source.

See also source().